Bug 1617941 - RT system hang due to wrong of rq's nr_running [rhel-7.5.z]
Summary: RT system hang due to wrong of rq's nr_running [rhel-7.5.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.4
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Luis Claudio R. Goncalves
QA Contact: Jiri Kastner
Marie Dolezelova
URL:
Whiteboard:
Depends On: 1608672 1618466
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-16 08:25 UTC by Oneata Mircea Teodor
Modified: 2018-12-10 21:29 UTC (History)
10 users (show)

Fixed In Version: kernel-rt-3.10.0-862.13.1.rt56.816.el7
Doc Type: Bug Fix
Doc Text:
Previously, preemption was enabled too early after a context switch. If a task was migrated to another CPU after a context switch, a mismatch between CPU and runqueue during load balancing sometimes occurred. Consequently, a runnable task on an idle CPU failed to run, and the operating system became unresponsive. This update disables preemption in the schedule_tail() function. As a result, CPU migration during post-schedule processing no longer occurs, which prevents the above mismatch. The operating system no longer hangs due to this bug.
Clone Of: 1608672
Environment:
Last Closed: 2018-09-25 19:10:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2763 None None None 2018-09-25 19:11:06 UTC

Description Oneata Mircea Teodor 2018-08-16 08:25:39 UTC
This bug has been copied from bug #1608672 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 8 errata-xmlrpc 2018-09-25 19:10:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2763


Note You need to log in before you can comment on or make changes to this bug.